pd-flext for Debian
------------------

The Debian package uses autotools to build Flext, and provides a pkg-config file
for externals to query the appropriate build flags.

While pd-flext-dev does not provide a 'build.sh' script, it ships a
Makefile.flext that can be used to build flext externals.

Instead of '.../flext/build.sh pd gcc' (as per the flext documentation), you can
instead build (most) flext externals via:

    make -f /usr/share/pd-flext/dev/Makefile.flext

This requires the pd-lib-builder package to be installed.

In a Debian package build, you should invoke make via dh_auto_build:

    dh_auto_build --buildsystem=makefile -- -f /usr/share/pd-flext/dev/Makefile.flext

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 01 Nov 2016 23:49:16 +0100
